Package org.eclipse.jgit.api

## Class ArchiveCommand.UnsupportedFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.ArchiveCommand.UnsupportedFormatException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ArchiveCommand

    public static class ArchiveCommand.UnsupportedFormatException
    extends GitAPIException

Signals an attempt to use an archival format that ArchiveCommand doesn't know about (for example due to a typo).

See Also:
  Serialized Form

### Constructor Summary

Constructors
`UnsupportedFormatException​(String format)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFormat()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedFormatException

    public UnsupportedFormatException​(String format)

Parameters:
  `format` - the problematic format name

### Method Detail

#### getFormat

    public String getFormat()

Returns:
  the problematic format name